# EllipseOutlineGeometry

#### new Cesium.EllipseOutlineGeometry(options)
Core/EllipseOutlineGeometry.js 214

A description of the outline of an ellipse on an ellipsoid.

Name | Type | Description
--- | --- | ---
`options` | Object | Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`center` | Cartesian3 |  | The ellipse's center point in the fixed frame.
`semiMajorAxis` | Number |  | The length of the ellipse's semi-major axis in meters.
`semiMinorAxis` | Number |  | The length of the ellipse's semi-minor axis in meters.
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid the ellipse will be on.
`height` | Number | `0.0` | optional The distance in meters between the ellipse and the ellipsoid surface.
`extrudedHeight` | Number |  | optional The distance in meters between the ellipse's extruded face and the ellipsoid surface.
`rotation` | Number | `0.0` | optional The angle from north (counter-clockwise) in radians.
`granularity` | Number | `0.02` | optional The angular distance between points on the ellipse in radians.
`numberOfVerticalLines` | Number | `16` | optional Number of lines to draw between the top and bottom surface of an extruded ellipse.

##### Throws:

- DeveloperError : semiMajorAxis and semiMinorAxis must be greater than zero.
- DeveloperError : semiMajorAxis must be greater than or equal to the semiMinorAxis.
- DeveloperError : granularity must be greater than zero.

##### Example:

    var ellipse = new Cesium.EllipseOutlineGeometry({
      center : Cesium.Cartesian3.fromDegrees(-75.59777, 40.03883),
      semiMajorAxis : 500000.0,
      semiMinorAxis : 300000.0,
      rotation : Cesium.Math.toRadians(60.0)
    });
    var geometry = Cesium.EllipseOutlineGeometry.createGeometry(ellipse);

##### See:

- EllipseOutlineGeometry.createGeometry

### Members

#### static Cesium.EllipseOutlineGeometry.packedLength : Number
Core/EllipseOutlineGeometry.js 269

The number of elements used to pack the object into an array.

### Methods

#### static Cesium.EllipseOutlineGeometry.createGeometry(ellipseGeometry) → Geometry|undefined
Core/EllipseOutlineGeometry.js 393

Computes the geometric representation of an outline of an ellipse on an ellipsoid, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`ellipseGeometry` | EllipseOutlineGeometry | A description of the ellipse.

##### Returns:

The computed vertices and indices.

#### static Cesium.EllipseOutlineGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/EllipseOutlineGeometry.js 281

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | EllipseOutlineGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### static Cesium.EllipseOutlineGeometry.unpack(array, startingIndex, result) → EllipseOutlineGeometry
Core/EllipseOutlineGeometry.js 334

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | EllipseOutlineGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new EllipseOutlineGeometry instance if one was not provided.